/////////////////////////////////
//TOPへ戻るボタン
/////////////////////////////////
jQuery(function(){
  jQuery(window).scroll(function(){
    //最上部から現在位置までの距離を取得して、変数[now]に格納
    var now = jQuery(window).scrollTop();
    //最上部から現在位置までの距離(now)が600以上
    if(now > 600){
      //[#page-top]をゆっくりフェードインする
      jQuery('#page-top').fadeIn('slow');
      //それ以外だったらフェードアウトする
    }else{
      jQuery('#page-top').fadeOut('slow');
    }
  });
  //ボタン(id:move-page-top)のクリックイベント
  jQuery('#move-page-top').click(function(){
  //ページトップへ移動する
  jQuery('body,html').animate({
          scrollTop: 0
      }, 800);
  });
});

/////////////////////////////////
//スクロール追従
/////////////////////////////////
(function(jquery) {
  jquery(document).ready(function() {
		/*
		Ads Sidewinder
		by Hamachiya2. http://d.hatena.ne.jp/Hamachiya2/20120820/adsense_sidewinder
		*/
    var main = jQuery('#main'); // メインカラムのID
    var side = jQuery('#sidebar'); // サイドバーのID
    var wrapper = jQuery('#sidebar-scroll'); // スクロール追従要素のID
    var side_top_margin = 40;
    if (!wrapper.size()) {return;}//スクロール追従エリアにウイジェットが入っていないときはスルー
    if (side.css('clear') == 'both') {return;}//レスポンシブでサイドバーをページ下に表示しているときはスルー

    if (main.length === 0 || side.length === 0 || wrapper.length === 0) {
      return;
    }

    var w = jquery(window);
    var wrapperHeight = wrapper.outerHeight();
    var wrapperTop = wrapper.offset().top;
    var sideLeft = side.offset().left;
    //console.log(wrapperTop);

    var sideMargin = {
      top: side.css('margin-top') ? side.css('margin-top') : 0,
      right: side.css('margin-right') ? side.css('margin-right') : 0,
      bottom: side.css('margin-bottom') ? side.css('margin-bottom') : 0,
      left: side.css('margin-left') ? side.css('margin-left') : 0
    };

    var winLeft;
    var pos;

    var scrollAdjust = function() {
      sideHeight = side.outerHeight();
      mainHeight = main.outerHeight();
      mainAbs = main.offset().top + mainHeight;
      var winTop = w.scrollTop()+side_top_margin;
      winLeft = w.scrollLeft();
      var winHeight = w.height();
      var nf = (winTop > wrapperTop) && (mainHeight > sideHeight) ? true : false;
      pos = !nf ? 'static' : (winTop + wrapperHeight) > mainAbs ? 'absolute' : 'fixed';
      if (pos === 'fixed') {
        side.css({
          position: pos,
          top: '',
          bottom: winHeight - wrapperHeight,
          left: sideLeft - winLeft,
          margin: 0,
          marginBottom: '-'+side_top_margin+'px'
        });

      } else if (pos === 'absolute') {
        side.css({
          position: pos,
          top: mainAbs - sideHeight,
          bottom: '',
          left: sideLeft,
          margin: 0,
          marginBottom: '-'+side_top_margin+'px'
        });

      } else {
        side.css({
          position: pos,
          marginTop: sideMargin.top,
          marginRight: sideMargin.right,
          marginBottom: sideMargin.bottom,
          marginLeft: sideMargin.left
        });
      }
    };

    var resizeAdjust = function() {
      side.css({
        position:'static',
        marginTop: sideMargin.top,
        marginRight: sideMargin.right,
        marginBottom: sideMargin.bottom,
        marginLeft: sideMargin.left
      });
      sideLeft = side.offset().left;
      winLeft = w.scrollLeft();
      if (pos === 'fixed') {
        side.css({
          position: pos,
          left: sideLeft - winLeft,
          margin: 0,
          marginBottom: '-'+side_top_margin+'px'
        });

      } else if (pos === 'absolute') {
        side.css({
          position: pos,
          left: sideLeft,
          margin: 0,
          marginBottom: '-'+side_top_margin+'px'
        });
      }
    };
    w.on('load', scrollAdjust);
    w.on('scroll', scrollAdjust);
    w.on('resize', resizeAdjust);
  });
})(jQuery);

/////////////////////////////////
// メニューボタンの開閉
/////////////////////////////////
jQuery(document).ready(function() {
  jQuery('#mobile-menu-toggle').click(function(){
    header_menu = jQuery('#navi ul');
    if (header_menu.css('display') == 'none') {
      header_menu.slideDown();
    } else{
      header_menu.slideUp();
    };
  });
  
});

/////////////////////////////////
// imgタグからwidth、height、border属性を削除
/////////////////////////////////
//jQuery(document).ready(function(jQuery){
//  jQuery('img').each(function(){
//    jQuery(this).removeAttr('width')
//    jQuery(this).removeAttr('height');
//    jQuery(this).removeAttr('border');
//  });
//});

jQuery(function(){
  jQuery(window).scroll(function(){
    //console.log(jQuery('#sidebar').css('clear'));
    //最上部から現在位置までの距離を取得して、変数[now]に格納
    var now = jQuery(window).scrollTop();
    var sharebar = jQuery('#sharebar');
    if (!sharebar.size()) {return;}
    var main = jQuery('#main');
    var sharebar_top = sharebar.offset().top;
    var sharebar_h = sharebar.outerHeight();
    var main_top = main.offset().top;
    var main_h = main.outerHeight();
    
    var bottom_line = main_h-400;
    if(now < (main_h-sharebar_h)){
      if (now > main_top) {
        //sharebar.fadeIn('fast');
        sharebar.css({
          position: 'fixed',
          top: '70px'
        });
      } else{
        sharebar.css({
          position: 'absolute',
            top: main_top+70
        });
      };  
    }else{
      //sharebar.fadeOut('fast');
      sharebar.css({
        position: 'absolute',
        top: main_h-sharebar_h
      });
    }
    //console.log(sharebar_h);
    
  });
});

/////////////////////////////////
//コメントからvcardの削除
/////////////////////////////////
//jQuery(function(){
//  jQuery('.comment-author').removeClass('vcard');
//});

/////////////////////////////////
////Instagram、Amazonコンテナのクラス付け替え
/////////////////////////////////
//jQuery(function(){
//  //srcにinstagramが含まれているiframe要素を探す
//  jQuery('.video-container .video iframe[src*="instagram"]').each(function(){
//    //親コンテナ要素のclassの付け替え
//    jQuery(this).parent().removeClass('video').addClass('instagram');
//    //親の親コンテナ要素のclassの付け替え
//    jQuery(this).parent().parent().removeClass('video-container').addClass('instagram-container');
//  });
//  //srcにAmazonが含まれているiframe要素を探す
//  jQuery('.video-container .video iframe[src*="amazon"]').each(function(){
//    //親コンテナ要素のclassの付け替え
//    jQuery(this).parent().removeClass('video').css('display', 'inline');
//    //親の親コンテナ要素のclassの付け替え
//    jQuery(this).parent().parent().removeClass('video-container').css('display', 'inline');
//  });
//});

//全画像の左寄せ解除
//jQuery(function(){
//  jQuery('.article img.alignleft').removeClass('alignleft');
//});